{
  "groups": [
    {
      "name": "exportcode",
      "type": "com.gyee.frame.common.conf.ExportConfig",
      "sourceType": "com.gyee.frame.common.conf.ExportConfig"
    },
    {
      "name": "gyee",
      "type": "com.gyee.frame.common.conf.V2Config",
      "sourceType": "com.gyee.frame.common.conf.V2Config"
    },
    {
      "name": "spring.datasource.druid.master",
      "type": "javax.sql.DataSource",
      "sourceType": "com.gyee.frame.common.conf.MybatisConfig",
      "sourceMethod": "masterDataSource()"
    },
    {
      "name": "spring.datasource.druid.slave",
      "type": "javax.sql.DataSource",
      "sourceType": "com.gyee.frame.common.conf.MybatisConfig",
      "sourceMethod": "slaveDataSource()"
    },
    {
      "name": "spring.datasource.druid.ticket",
      "type": "javax.sql.DataSource",
      "sourceType": "com.gyee.frame.common.conf.MybatisConfig",
      "sourceMethod": "ticketDataSource()"
    },
    {
      "name": "spring.redis.pool",
      "type": "redis.clients.jedis.JedisPoolConfig",
      "sourceType": "com.gyee.frame.common.cache.RedisConfig",
      "sourceMethod": "jedisPoolConfig()"
    },
    {
      "name": "spring.servlet.multipart",
      "type": "com.gyee.frame.common.conf.FileConfig",
      "sourceType": "com.gyee.frame.common.conf.FileConfig"
    },
    {
      "name": "temperature",
      "type": "com.gyee.frame.common.conf.TemperatureConfig",
      "sourceType": "com.gyee.frame.common.conf.TemperatureConfig"
    },
    {
      "name": "zmconfig",
      "type": "com.gyee.frame.common.conf.ZmConfig",
      "sourceType": "com.gyee.frame.common.conf.ZmConfig"
    }
  ],
  "properties": [
    {
      "name": "exportcode.template1",
      "type": "java.util.List<java.lang.String>",
      "sourceType": "com.gyee.frame.common.conf.ExportConfig"
    },
    {
      "name": "exportcode.template2cft",
      "type": "java.util.Map<java.lang.String,java.lang.String>",
      "sourceType": "com.gyee.frame.common.conf.ExportConfig"
    },
    {
      "name": "exportcode.template2swdl",
      "type": "java.util.Map<java.lang.String,java.lang.String>",
      "sourceType": "com.gyee.frame.common.conf.ExportConfig"
    },
    {
      "name": "exportcode.template2swgl",
      "type": "java.util.Map<java.lang.String,java.lang.String>",
      "sourceType": "com.gyee.frame.common.conf.ExportConfig"
    },
    {
      "name": "gyee.copyright-year",
      "type": "java.lang.String",
      "description": "版权年份",
      "sourceType": "com.gyee.frame.common.conf.V2Config"
    },
    {
      "name": "gyee.name",
      "type": "java.lang.String",
      "description": "项目名称",
      "sourceType": "com.gyee.frame.common.conf.V2Config"
    },
    {
      "name": "gyee.version",
      "type": "java.lang.String",
      "description": "版本",
      "sourceType": "com.gyee.frame.common.conf.V2Config"
    },
    {
      "name": "spring.redis.pool.block-when-exhausted",
      "type": "java.lang.Boolean",
      "sourceType": "redis.clients.jedis.JedisPoolConfig"
    },
    {
      "name": "spring.redis.pool.eviction-policy",
      "type": "org.apache.commons.pool2.impl.EvictionPolicy<java.lang.Object>",
      "sourceType": "redis.clients.jedis.JedisPoolConfig"
    },
    {
      "name": "spring.redis.pool.eviction-policy-class-name",
      "type": "java.lang.String",
      "sourceType": "redis.clients.jedis.JedisPoolConfig"
    },
    {
      "name": "spring.redis.pool.evictor-shutdown-timeout-millis",
      "type": "java.lang.Long",
      "sourceType": "redis.clients.jedis.JedisPoolConfig"
    },
    {
      "name": "spring.redis.pool.fairness",
      "type": "java.lang.Boolean",
      "sourceType": "redis.clients.jedis.JedisPoolConfig"
    },
    {
      "name": "spring.redis.pool.jmx-enabled",
      "type": "java.lang.Boolean",
      "sourceType": "redis.clients.jedis.JedisPoolConfig"
    },
    {
      "name": "spring.redis.pool.jmx-name-base",
      "type": "java.lang.String",
      "sourceType": "redis.clients.jedis.JedisPoolConfig"
    },
    {
      "name": "spring.redis.pool.jmx-name-prefix",
      "type": "java.lang.String",
      "sourceType": "redis.clients.jedis.JedisPoolConfig"
    },
    {
      "name": "spring.redis.pool.lifo",
      "type": "java.lang.Boolean",
      "sourceType": "redis.clients.jedis.JedisPoolConfig"
    },
    {
      "name": "spring.redis.pool.max-idle",
      "type": "java.lang.Integer",
      "sourceType": "redis.clients.jedis.JedisPoolConfig"
    },
    {
      "name": "spring.redis.pool.max-total",
      "type": "java.lang.Integer",
      "sourceType": "redis.clients.jedis.JedisPoolConfig"
    },
    {
      "name": "spring.redis.pool.max-wait-millis",
      "type": "java.lang.Long",
      "sourceType": "redis.clients.jedis.JedisPoolConfig"
    },
    {
      "name": "spring.redis.pool.min-evictable-idle-time-millis",
      "type": "java.lang.Long",
      "sourceType": "redis.clients.jedis.JedisPoolConfig"
    },
    {
      "name": "spring.redis.pool.min-idle",
      "type": "java.lang.Integer",
      "sourceType": "redis.clients.jedis.JedisPoolConfig"
    },
    {
      "name": "spring.redis.pool.num-tests-per-eviction-run",
      "type": "java.lang.Integer",
      "sourceType": "redis.clients.jedis.JedisPoolConfig"
    },
    {
      "name": "spring.redis.pool.soft-min-evictable-idle-time-millis",
      "type": "java.lang.Long",
      "sourceType": "redis.clients.jedis.JedisPoolConfig"
    },
    {
      "name": "spring.redis.pool.test-on-borrow",
      "type": "java.lang.Boolean",
      "sourceType": "redis.clients.jedis.JedisPoolConfig"
    },
    {
      "name": "spring.redis.pool.test-on-create",
      "type": "java.lang.Boolean",
      "sourceType": "redis.clients.jedis.JedisPoolConfig"
    },
    {
      "name": "spring.redis.pool.test-on-return",
      "type": "java.lang.Boolean",
      "sourceType": "redis.clients.jedis.JedisPoolConfig"
    },
    {
      "name": "spring.redis.pool.test-while-idle",
      "type": "java.lang.Boolean",
      "sourceType": "redis.clients.jedis.JedisPoolConfig"
    },
    {
      "name": "spring.redis.pool.time-between-eviction-runs-millis",
      "type": "java.lang.Long",
      "sourceType": "redis.clients.jedis.JedisPoolConfig"
    }
  ],
  "hints": []
}